11d817 Rewrite with new macros

Authored and Committed by tibbs 2 years ago
    Rewrite with new macros
    
    Added some macros to simplify setup and try to ensure that people
    actually do the obsoletes properly.  They also will auto-generate the
    summary so there's no need to do that manually.
    
    This results in a single change to the list of obsoletes: the incorrect
    obsolete of gnome-books <= 3.31.0 changes to < 3.31.0.  This doesn't
    appear to make any difference in practise.
    
    It also fixes many missing items from the package list in the
    description.
    
        
file modified
+584 -954